Search

Lookalike people search

Search people using filters and/or people Ids

Looking for the legacy endpoint? Access it here

Webhook result: Email results Phone results

POST
/v3/search/people

Query Parameters

apiToken?|

Header Parameters

x-api-token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ocean.io/v3/search/people" \  -H "Content-Type: application/json" \  -d '{}'
{
  "people": [
    {
      "id": "e9447c74eafa8a19",
      "domain": "google.com",
      "name": "John Doe",
      "firstName": "John",
      "lastName": "Doe",
      "country": "us",
      "state": "CA",
      "location": "Copenhagen, Capital Region, Denmark",
      "linkedinUrl": "https://www.linkedin.com/in/someone",
      "seniorities": [
        "C-Level",
        "Manager"
      ],
      "departments": [
        "Management",
        "Marketing and Advertising"
      ],
      "photo": "http://media.licdn.com/dms/image/somelink",
      "jobTitle": "Professeur",
      "jobTitleEnglish": "Teacher",
      "currentJobDescription": "Software Engineer specializing in cloud infrastructure",
      "experiences": [
        {
          "dateFrom": "2020-01-01",
          "dateTo": "2021-01-01",
          "description": "Software Engineer specializing in cloud infrastructure",
          "domain": "domain.com",
          "jobTitle": "Software Engineer"
        }
      ],
      "summary": "Some text that the person wrote to describe themselves",
      "skills": [
        "Product Management",
        "Entrepreneurship",
        "Social Media"
      ],
      "phone": {
        "numbers": [
          "+4512345678",
          "+33 6 00 00 00 00"
        ],
        "status": "verified"
      },
      "email": {
        "address": "[email protected]",
        "status": "verified"
      },
      "updatedAt": "2022-10-27T12:09:37Z",
      "connectionsCount": 10,
      "headline": "Senior Software Engineer | Tech Lead",
      "company": {
        "companySize": "0-1",
        "logo": "https://cdn2.ocean.io/companies-logos-v1/domain.com/020539e284d9318e805301b672ad23047c30818a.png",
        "name": "Dunder Mifflin Paper Company"
      }
    }
  ],
  "detail": "OK",
  "lookalikePeopleStatuses": {
    "successfulPeople": [
      "person_id_1",
      "person_id_2"
    ],
    "notFoundPeople": [
      "person_id_1",
      "person_id_2"
    ],
    "triggeredDomainPeople": [
      "person_id_1",
      "person_id_2"
    ],
    "missingCompanyInformationPeople": [
      "person_id_1",
      "person_id_2"
    ]
  },
  "total": 32871,
  "searchAfter": "NoBgdA7BAsBMEgGwBoAEAiADgGwK4HN8BTAJwC8wBjAewFt0BdIA",
  "redirectMap": {
    "given_local_domain.uk": "original.com",
    "ikea.nl": "ikea.com"
  },
  "includeDomainsStatuses": {
    "bad-content-domain.com": "bad content",
    "invalid-domain.com": "invalid domain",
    "not-found-domain.com": "in progress"
  }
}
{
  "detail": "Conflicting API tokens provided in query parameters and headers"
}
{
  "detail": "Insufficient credits"
}
{
  "detail": "API token should be provided in headers or query parameters"
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}